extends layout

block script
    script(src='https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.js')
    script.
        var socket;
        window.addEventListener(
            "load",
            function () {
                setInterval(function () {
                    socket = io.connect("https://dashboard.axelfloquet.fr", {query: 'server=#{server.hostname}&console=false'});
                    socket.emmit('formData', function (data) {
                        console.log(data)
                    })
                }, 30000)
            },
            false
        );

block content
    .dashboard-main-wrapper(style='width: 100%;padding-top:260px')
        .dashboard-header
            include navbar
        include sidebar
        .dashboard-wrapper(style='min-height:calc(100vh - 110px) !important')
            .dashboard-ecommerce
                .container-fluid.dashboard-content
                    .row
                        .col-xl-8.col-lg-8.col-md-8.col-sm-8.col-8
                            .page-header
                                h2.pageheader-title Détails de #{server.hostname}
                        .col-xl-4.col-lg-4.col-md-4.col-sm-4.col-4
                            div.float-right
                                a.btn.btn-primary.mr-2(href='/servers/' + server.hostname + '/users/add') Ajouter un utilisateur
                                a.btn.btn-primary(target='_blank' href='/servers/' + server.hostname + '/console') Console
                    .row
                        .col-xl-4.col-lg-8.col-md-8.col-sm-8.col-8
                            .card
                                h5.card-header Général
                                .card-body.p-0
                                    .table-responsive
                                        table.table
                                            thead.bg-light
                                                tr.border-0
                                                    th.border-0 Etat
                                                    th.border-0
                                            tbody
                                                tr
                                                    td Nom d'hôte
                                                    td= server.hostname
                                                tr
                                                    td Addresse IP
                                                    td= server.ipAddress
                                                tr
                                                    td Statut
                                                    td
                                                        i.fas.fa-circle#ping(style='color:' + server.health + ';')
                                                tr
                                                    td CPU
                                                    td= cpu
                                                tr
                                                    td RAM
                                                    td= ram
                        .col-xl-8.col-lg-8.col-md-8.col-sm-8.col-8
                            .card(style='max-height:295px;overflow-y:scroll')
                                h5.card-header Utilisateurs
                                .card-body.p-0
                                    .table-responsive
                                        table.table
                                            thead.bg-light
                                                tr.border-0
                                                    th.border-0 Nom
                                                    th.border-0 Nom complet
                                                    th.border-0 UID
                                                    th.border-0 GID
                                                    th.border-0 Home
                                                    th.border-0 Root
                                                    th.border-0 Console
                                                    th.border-0 Actions
                                            tbody
                                                each ruser in users
                                                    if ruser[0]
                                                        tr
                                                            td= ruser[0]
                                                            td= ruser[4]
                                                            td= ruser[2]
                                                            td= ruser[3]
                                                            td= ruser[5]
                                                            td
                                                                i.fas.fa-circle#ping(style='color:' + ruser[7] + ';')
                                                            td= ruser[6]
                                                            td
                                                                a.btn.btn-sm(style='width: 42px' href='/servers/' + server.hostname + '/users/delete/' + ruser[0])
                                                                    i.fas.fa-trash
                                                                form(role="form", action="/servers/" + server.hostname + "/users/sudo/" + ruser[0], method="post")
                                                                    input(type="hidden" name="_csrf" value=`${csrf}`)
                                                                    button.btn.btn-sm.btn-outline-light(type='submit')
                                                                        i.fas.fa-terminal
                        .col-xl-12.col-lg-8.col-md-8.col-sm-8.col-8
                            .card(style='max-height:382px;overflow-y:scroll')
                                h5.card-header Processus
                                .card-body.p-0
                                    .table-responsive
                                        table.table
                                            thead.bg-light
                                                tr.border-0
                                                    th.border-0 Commande
                                                    th.border-0 PID
                                                    th.border-0 CPU
                                                    th.border-0 RAM
                                                    th.border-0 Utilisateur
                                                    th.border-0 Action
                                            tbody
                                                each process in processes
                                                    if process[4]
                                                        tr
                                                            td= process[4]
                                                            td= process[0]
                                                            td= process[2]
                                                            td= process[3]
                                                            td= process[1]
                                                            td
                                                                form(role="form", action="/servers/" + server.hostname + "/process/kill/" + process[0], method="post")
                                                                    input(type="hidden" name="_csrf" value=`${csrf}`)
                                                                    button.btn.btn-outline-warning(type='submit') Kill
        .footer
            .container-fluid
                .row
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        | Copyright &copy; 2019 Monitording.
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        .text-md-right.footer-links.d-none.d-sm-block
                            a(href='javascript: void(0);') About
                            a(href='javascript: void(0);') Support
                            a(href='javascript: void(0);') Contact Us
    script(src='../assets/vendor/jquery/jquery-3.3.1.min.js')
    script(src='../assets/vendor/bootstrap/js/bootstrap.bundle.js')
    script(src='../assets/vendor/slimscroll/jquery.slimscroll.js')
    script(src='../assets/libs/js/main-js.js')
    script(src='../assets/vendor/charts/chartist-bundle/chartist.min.js')
    script(src='../assets/vendor/charts/sparkline/jquery.sparkline.js')
    script(src='../assets/vendor/charts/morris-bundle/raphael.min.js')
    script(src='../assets/vendor/charts/morris-bundle/morris.js')
    script(src='../assets/vendor/charts/c3charts/c3.min.js')
    script(src='../assets/vendor/charts/c3charts/d3-5.4.0.min.js')
    script(src='../assets/vendor/charts/c3charts/C3chartjs.js')
    script(src='../assets/libs/js/dashboard-ecommerce.js')
